AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Event
ZapShowChannelsEvent Class
ZapShowChannelsEvent Properties
Alarm Property
Context Property
Signalling Property

| ZapShowChannelsEvent Alarm Property

Get/Set the alarm state of this zap channel.
This may be one of

- Red Alarm
- Yellow Alarm
- Blue Alarm
- Recovering
- Loopback
- Not Open
- No Alarm

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string Alarm { get; set; }

    Public Property Alarm As String
    	Get
    	Set

    public:
    property String^ Alarm {
    	String^ get ();
    	void set (String^ value);
    }

    member Alarm : string with get, set

#### Property Value

Type: String
See Also

#### Reference

ZapShowChannelsEvent Class
AsterNET.Manager.Event Namespace